<?php
/***********************************************************************************************************

GNUPanel es un programa para el control de hospedaje WEB 
Copyright (C) 2006  Ricardo Marcelo Alvarez rmalvarezkai@gmail.com

------------------------------------------------------------------------------------------------------------

Este archivo es parte de GNUPanel.

	GNUPanel es Software Libre; Usted puede redistribuirlo y/o modificarlo
	bajo los trminos de la GNU Licencia Pblica General (GPL) tal y como ha sido
	pblicada por la Free Software Foundation; o bien la versin 2 de la Licencia,
	o (a su opcin) cualquier versin posterior.

	GNUPanel se distribuye con la esperanza de que sea til, pero SIN NINGUNA
	GARANTA; tampoco las implcitas garantas de MERCANTILIDAD o ADECUACIN A UN
	PROPSITO PARTICULAR. Consulte la GNU General Public License (GPL) para ms
	detalles.

	Usted debe recibir una copia de la GNU General Public License (GPL)
	junto con GNUPanel; si no, escriba a la Free Software Foundation Inc.
	51 Franklin Street, 5 Piso, Boston, MA 02110-1301, USA.

------------------------------------------------------------------------------------------------------------

This file is part of GNUPanel.

	GNUPanel is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	GNUPanel is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with GNUPanel; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

------------------------------------------------------------------------------------------------------------

***********************************************************************************************************/

require_once("config/gnupanel-admin-ini.php");
session_cache_limiter('nocache');
$session_ant = session_name('admin');
require_once("funciones/funciones.php");

session_start();

if(isset($_SESSION['id_admin'])) $tiempo_max_sesion = dame_tiempo_max_sesion_admin($_SESSION['id_admin']);

session_start();

$idioma_default = "es";
if(isset($_SESSION['id_admin'])) $idioma_default = dame_idioma_admin($_SESSION['id_admin']);

$idioma = setea_lenguaje($idioma_default);
mensajes_botones_load();

$nombre_script = substr(strrchr($_SERVER['SCRIPT_NAME'],"/"),1);
mensajes_login_load();
$incluir = "login/login-func.php";
require_once("$incluir");
if($HTTP_GET_VARS['desloguear']=="1") terminar_sesion();
$logueado = NULL;
$logueado = $_SESSION['logueado'];
$interfaz = "admin";
$seccion = $HTTP_GET_VARS['seccion'];
$plugin = $HTTP_GET_VARS['plugin'];
$incluye_seccion = "1";
$incluye_plugin = "1";
$estilo_ini = dame_tema_interfaz_admin();
$estilo_per = dame_tema_interfaz_admin_per();

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title><?php echo $titulo ?></title>
<?php
if($estilo_ini) print "<link rel=\"stylesheet\" type=\"text/css\" href=\"$estilo_ini\" > \n";
if($estilo_per) print "<link rel=\"stylesheet\" type=\"text/css\" href=\"$estilo_per\" > \n";
?>
<script language="JavaScript" src="estilos/estilos.js" type="text/javascript" ></script>
</head>
<body>
<div id="cabecera" >
</div>
<div id="cuerpo" >
<div id="botonera" >
<?php
if($logueado == "1")
{
	print "<h4><a href=\"gnupanel-admin.php&#063;\" > \n";
	print $escribir['inicio'];
	print "</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n";
	print "<a href=\"gnupanel-admin.php&#063;desloguear=1\" > \n";
	print $escribir['deslogueo'];
	print "</a></h4>\n";
	$incluir = "botonera.php";
	require_once("$incluir");
}
?>
</div>
<?php
if($logueado != "1")
{
	print "<div id=\"contenedor\" > \n";

	print "<div id=\"titulo\" > \n";
	print "</div> \n";

	login_init($nombre_script);
}
else
{
	print "<div id=\"contenedor\" > \n";
	$cant_max_result = dame_cant_max_result_admin($_SESSION['id_admin']);
	require_once("plugins.php");
}
?>
</div>
</div>
</body>
</html>